> For the complete documentation index, see [llms.txt](https://docs.tweetzy.ca/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tweetzy.ca/official-plugins/vouchers/translations.md).

# Translations

To use a specific language translation you will need to change the default language code within your config.yml. If the translation is available, the plugin will attempt to download it, otherwise if a translation file matching the Language code format is found it will read that instead!

| Language | Language Code |
| -------- | ------------- |
| English  | en\_US        |

{% hint style="info" %}
We accept user translated files, if you would like to contribute, please contact us on Discord.
{% endhint %}

### Default Language File (messages\_en.yml)

```
Voucher Creation:
  Title: "&eVoucher Creation"
  Subtitle: "&7Enter voucher id"

Voucher Edit:
  Enter Name:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new display name"

  Enter Description:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new description line"

  Enter Broadcast:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new broadcast message"

  Enter Chat Message:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new chat message"

  Enter Title:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new title"

  Enter Subtitle:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new subtitle"

  Enter Actionbar:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new actionbar"

  Enter Permission:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new permission"

  Enter Command:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new command"

  Enter Chance:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new chance"

  Enter Cooldown:
    Title: "&eVoucher Edit"
    Subtitle: "&7Enter new cooldown"

Error:
  Voucher Already Exists: "&cThe voucher: &4{voucher_id}&c already exists"
  Voucher Does Not Exist: "&cThe voucher: &4{voucher_id}&c doesn't exist"
  Chance Too High: "&cCannot set chance higher than 100%"
  Chance Too Low: "&cCannot set chance lower than 1%"
  Missing Reward Item: "&cPlease provide a reward item"
  No Permission For Voucher: "&cYou do not have permission to use that voucher"
  Did Not Get Reward: "&cYou weren't lucky enough to get that reward"
  Cooldown: "&cYou must wait &4{remaining_time}&cs before you can use that voucher"

Success:
  Voucher Created: "&aCreated new voucher with the id: &2{voucher_id}"
  Voucher Deleted: "&aDeleted voucher with the id: &2{voucher_id}"

# -------------------------------------------------------------------------------------------------
# Do not change this value, otherwise it will corrupt your plugin installation!
# -------------------------------------------------------------------------------------------------
Version: 1
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tweetzy.ca/official-plugins/vouchers/translations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
